# Class CIM_DiagnosticsLog
extends CIM_RecordLog

DiagnosticsLog is being deprecated in order to change the class name to DiagnosticLog. This is being done to follow the naming convention used for other diagnostic model classes. DiagnosticsLog serves as an aggregation point for DiagnosticRecord objects. This class exists in order to encourage the use of a consolidated record management methodology for diagnostics. A common set of providers for this log and its associated records SHOULD be used to control functions such as record persistence, query support and overall data integrity in a consistent manner.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Log
|
+--CIM_RecordLog
|
+--CIM_DiagnosticsLog

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_DiagnosticLog

Description

string

DiagnosticsLog is being deprecated in order to change the class name to DiagnosticLog. This is being done to follow the naming convention used for other diagnostic model classes. DiagnosticsLog serves as an aggregation point for DiagnosticRecord objects. This class exists in order to encourage the use of a consolidated record management methodology for diagnostics. A common set of providers for this log and its associated records SHOULD be used to control functions such as record persistence, query support and overall data integrity in a consistent manner.

UMLPackagePath | string | CIM::System::Logs
Version | string | 2.22.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CurrentNumberOfRecords | uint64 | CIM_Log
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_RecordLog
LogState | uint16 | CIM_Log
MaxNumberOfRecords | uint64 | CIM_Log
Name | string | CIM_ManagedSystemElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OverwritePolicy | uint16 | CIM_Log
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ClearLog | uint32 | CIM_Log
RequestStateChange | uint32 | CIM_EnabledLogicalElement